Name:           perl-Email-Date-Format
Version:        1.005
Release:        12
Summary:        Produce RFC 2822 compliant datetime string
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Email-Date-Format
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/Email-Date-Format-%{version}.tar.gz
BuildRequires:  perl-generators perl(Exporter) perl(ExtUtils::MakeMaker) perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.14 perl(Test::Pod::Coverage) >= 1.0 perl(Time::Local)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides a simple means for generating an RFC 2822 compliant datetime string.

%package help
Summary:        Provides help and manual docs for perl-Email-Date-Format
Requires:       perl-Email-Date-Format

%description help
This package provides help and manual docs for perl-Email-Date-Format. 

%prep
%autosetup -n Email-Date-Format-%{version} -p1

%build
sed -i '/LICENSE/ d' Makefile.PL
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%doc LICENSE
%{perl_vendorlib}/Email/
%exclude /usr/lib64/perl5/vendor_perl/auto/Email/Date/Format/.packlist

%files help
%doc README
%{_mandir}/man3/*.3*

%changelog
* Fri May 06 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.005-12
- Package init
